"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GraphqlQueryView = void 0;
var _react = _interopRequireWildcard(require("react"));
var _fi = require("react-icons/fi");
var _reactBootstrap = require("react-bootstrap");
var _reactCodemirror = _interopRequireDefault(require("@uiw/react-codemirror"));
var _codemirrorThemeVscode = require("@uiw/codemirror-theme-vscode");
var _langJavascript = require("@codemirror/lang-javascript");
var _view = require("@codemirror/view");
var _utils = require("../utils");
var _langJson = require("@codemirror/lang-json");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// i have to fix this anbd update to codemiro 6
var GraphqlQueryView = function GraphqlQueryView(_ref) {
  var queryToDisplay = _ref.queryToDisplay,
    start = _ref.start,
    limit = _ref.limit,
    orderBy = _ref.orderBy,
    filterBy = _ref.filterBy;
  var variablesObj = {
    "offset": start,
    "limit": limit,
    "orderBy": orderBy || {},
    "filter": filterBy || {}
  };
  var copyTest = function copyTest(text) {
    (0, _utils.copyToClipboard)(text);
  };
  var basicSetup = {
    EditorView: {
      lineNumbers: true,
      lineWrapping: true,
      indentWithTabs: false
    }
  };

  //EditorView.lineWrapping()
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    title: "copy grapl query",
    onClick: function onClick() {
      copyTest(queryToDisplay);
    }
  }, /*#__PURE__*/_react["default"].createElement(_fi.FiCopy, null))), /*#__PURE__*/_react["default"].createElement(_reactCodemirror["default"], {
    basicSetup: basicSetup,
    readOnly: true,
    theme: _codemirrorThemeVscode.vscodeDark,
    extensions: [(0, _langJavascript.javascript)(), _view.EditorView.lineWrapping],
    value: queryToDisplay,
    className: "readOnly"
  }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    title: "copy variables",
    onClick: function onClick() {
      copyTest(variablesObj);
    }
  }, /*#__PURE__*/_react["default"].createElement(_fi.FiCopy, null))), /*#__PURE__*/_react["default"].createElement(_reactCodemirror["default"], {
    minHeight: "150px",
    indentWithTab: false,
    readOnly: true,
    theme: _codemirrorThemeVscode.vscodeDark,
    extensions: [(0, _langJson.json)(), _view.EditorView.lineWrapping],
    value: JSON.stringify(variablesObj, null, 4),
    className: "readOnly"
  }));
};

/*

export const EDITOR_READ_OPTIONS = {
    noHScroll: false,
    readOnly: true,
    lineNumbers: true,
    lineWrapping: true,
    indentWithTabs: false,
    tabSize: 2,
    theme: "eclipse",
    viewportMargin: Infinity,
}*/
exports.GraphqlQueryView = GraphqlQueryView;